Subject: Re: [RFC PATCH net-next v3 1/2] macb: Add 1588 support in Cadence GEM.

From: Richard Cochran <[email-masked]>
Date: Fri, 9 Dec 2016 09:57:52 +0100

On Fri, Dec 09, 2016 at 11:07:23AM +0530, Harini Katakam wrote:
> I'm afraid I don't get why we are choosing the most limited max adj..
> Sorry if I'm missing something - could you please help me understand?

This max_adj is only important when the local clock offset is large
and user space chooses not to step the time value.  In that case, user
space will want to run the clock as fast (or as slow) as possible in
order to catch up with the remote clock.

The driver must provide a max_adj that is always safe for user space
to apply via the clock_adjtime() system call.

HTH,
Richard